## stormbaancoureur 2.1.5

=== src-stormbaancoureur/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.1.1-generic
+VERSION=2.1.5-generic
 
 # EDIT THESE SETTINGS
 
@@ -8,10 +8,6 @@
 CXX=g++
 LIBDIRNAME=lib
 
-#PLIBPREFIX=$(HOME)
-#ODEPREFIX=$(HOME)
-#CXX=g++
-
 # END OF CUSTOM SETTINGS
 
 CXXFLAGS=\
@@ -19,6 +15,7 @@
   -I$(ODEPREFIX)/include \
   -I$(PLIBPREFIX)/include \
   -I../src-common \
+  -I. \
   -DGAMEVERSION=$(VERSION) \
   -O2 -g -Wall
 
@@ -34,11 +31,10 @@
   controllerpad.o \
   controllerkey.o \
   carobject.o \
-  texture.o \
-  tga.o \
   intro.o \
   vectortext.o \
   postscore.o \
+  ogl.o \
   main.o
 
 
@@ -69,12 +65,6 @@
 controllerkey.o: controllerkey.cxx
 	$(CXX) -c $(CXXFLAGS) controllerkey.cxx
 
-texture.o: texture.cxx
-	$(CXX) -c $(CXXFLAGS) texture.cxx
-
-tga.o: tga.cxx
-	$(CXX) -c $(CXXFLAGS) tga.cxx
-
 intro.o: intro.cxx intro.h
 	$(CXX) -c $(CXXFLAGS) intro.cxx
 
@@ -86,6 +76,9 @@
 
 soundenginealsa.o: ../src-common/soundenginealsa.cxx ../src-common/soundenginealsa.h ../src-common/soundfeed.h ../src-common/soundclip.h
 	$(CXX) -c $(CXXFLAGS) ../src-common/soundenginealsa.cxx
+
+ogl.o: ../src-common/ogl.cxx 
+	$(CXX) -c $(CXXFLAGS) ../src-common/ogl.cxx
 
 main.o: main.cxx ../src-common/usercam.h ../src-common/trackingcam.h ../src-common/soundenginealsa.h cratewall.h controller.h intro.h plodegui.h doorstand.h carpettrack.h spikejump.h ferriswheel.h turntable.h sturmbahn.h ../src-common/modelmap.h starsky.h carobject.h respawnpoint.h
 	$(CXX) -c $(CXXFLAGS) main.cxx
@@ -129,11 +122,6 @@
 	install -m 644 models/rearaxle.3ds $(GAMEDIR)/models/rearaxle.3ds
 	install -m 644 models/spindle.3ds $(GAMEDIR)/models/spindle.3ds
 	install -m 644 models/wishbone.3ds $(GAMEDIR)/models/wishbone.3ds
-	#install -m 644 models/car.3ds $(GAMEDIR)/models/car.3ds
-	#install -m 644 models/wheel.3ds $(GAMEDIR)/models/wheel.3ds
-	#install -m 644 models/licplate.ac $(GAMEDIR)/models/licplate.ac
-	#install -m 644 models/licplate.bmp $(GAMEDIR)/models/licplate.bmp
-	#install -m 644 models/truck.3ds $(GAMEDIR)/models/truck.3ds
 	# Models (other)
 	install -m 644 models/baseplate.3ds $(GAMEDIR)/models/baseplate.3ds
 	install -m 644 models/carpet.3ds $(GAMEDIR)/models/carpet.3ds
