## stormbaancoureur 2.1.6

=== images-stormbaancoureur/Makefile ===
images:
	convert -channel Alpha -gaussian 2 info_carpet.rgb info_carpet_smooth.rgb
	convert -channel Alpha -gaussian 2 info_jump.rgb info_jump_smooth.rgb
	convert -channel Alpha -gaussian 2 info_cart.rgb info_cart_smooth.rgb
	convert -channel Alpha -gaussian 2 info_door.rgb info_door_smooth.rgb

explo:
	convert sm_r20001.tif expl0000.sgi
	convert sm_r20002.tif expl0001.sgi
	convert sm_r20003.tif expl0002.sgi
	convert sm_r20004.tif expl0003.sgi
	convert sm_r20005.tif expl0004.sgi
	convert sm_r20006.tif expl0005.sgi
	convert sm_r20007.tif expl0006.sgi
	convert sm_r20008.tif expl0007.sgi
	convert sm_r20009.tif expl0008.sgi

wolk:
	convert wolk0000.tif wolk0000.sgi
	convert wolk0001.tif wolk0001.sgi
	convert wolk0002.tif wolk0002.sgi
	convert wolk0003.tif wolk0003.sgi
	convert wolk0004.tif wolk0004.sgi
	convert wolk0005.tif wolk0005.sgi
	convert wolk0006.tif wolk0006.sgi
	convert wolk0007.tif wolk0007.sgi
	convert wolk0008.tif wolk0008.sgi
	convert wolk0009.tif wolk0009.sgi
	convert wolk0010.tif wolk0010.sgi
	convert wolk0011.tif wolk0011.sgi
	convert wolk0012.tif wolk0012.sgi
	convert wolk0013.tif wolk0013.sgi
	convert wolk0014.tif wolk0014.sgi
	convert wolk0015.tif wolk0015.sgi
