=== src-stormbaancoureur/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.1.5-generic
+VERSION=2.1.6-generic
 
 # EDIT THESE SETTINGS
 
@@ -68,8 +68,8 @@
 intro.o: intro.cxx intro.h
 	$(CXX) -c $(CXXFLAGS) intro.cxx
 
-vectortext.o: vectortext.cxx vectortext.h
-	$(CXX) -c $(CXXFLAGS) vectortext.cxx
+vectortext.o: ../src-common/vectortext.cxx ../src-common/vectortext.h
+	$(CXX) -c $(CXXFLAGS) ../src-common/vectortext.cxx
 
 postscore.o: postscore.cxx postscore.h
 	$(CXX) -c $(CXXFLAGS) postscore.cxx
