=== debian/changelog ===
stormbaancoureur (2.1.6-5) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Use /usr/share/dpkg/buildflags.mk to provide build flags
  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Jan 2026 07:33:42 +0100

stormbaancoureur (2.1.6-4) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.2
  * Add debian/salsa-ci.yml
  * Update Miriam email address
  * Ack/import NMU: thanks

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 10:21:52 +0100

stormbaancoureur (2.1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libplib-dev instead of plib1.8.4-dev.
    (Closes: #1023999)

 -- Adrian Bunk <bunk@debian.org>  Fri, 18 Nov 2022 18:12:00 +0200

stormbaancoureur (2.1.6-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Move the package to salsa.debian.org.
  * Fix FTCBFS uses the wrong compiler.
    Thanks to Helmut Grohne for the patch. (Closes: #918311)
  * Mark stormbaancoureur Multi-Arch: foreign.
  * Remove obsolete menu file.
  * d/control: Change priority to optional.

 -- Markus Koschany <apo@debian.org>  Tue, 27 Oct 2020 17:34:35 +0100

stormbaancoureur (2.1.6-2) unstable; urgency=medium

  * Team upload.

  [ Paul Wise ]
  * Install example configuration file (Closes: #592520, #807444)

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Markus Koschany ]
  * Switch to source format 3.0. Remove quilt from Build-Depends and drop
    README.source because source format 3.0 uses quilt by default.
  * Build-Depend simply on libode-dev.
  * wrap-and-sort -sab.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use secure SVN URL.
  * stormbaancoureur-data: Suggest stormbaancoureur.
  * Simplify debian/rules by using dh sequencer and provide build-{arch,indep}
    targets. Fix FTBFS when building with dpkg-buildpackage -A.
    (Closes: #822026, #806874)
  * stormbaancoureur.desktop: Add keywords and a comment in German.
  * Update makefile.patch to use correct MULTIARCH directories and use all
    hardening build flags.
  * debian/rules: Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Aug 2016 19:38:05 +0200

stormbaancoureur (2.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove remaining hard coded libode paths from Makefile including
    a prerequisite on a system installed library with wrong path
    (Closes: #804840)

 -- Andreas Bombe <aeb@debian.org>  Sun, 22 Nov 2015 18:38:09 +0100

stormbaancoureur (2.1.6-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Drop gcc-4.4 patch, merged upstream.
    + Uses new leaderboard server. (Closes: #534773).
  * Update Homepage.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 03 Dec 2009 19:47:21 -0500

stormbaancoureur (2.1.5-5) unstable; urgency=low

  * Games team upload.
  * Switch back to plib1.8.4-dev since the plib transition isn't yet ready

 -- Paul Wise <pabs@debian.org>  Fri, 10 Apr 2009 22:38:45 +0800

stormbaancoureur (2.1.5-4) unstable; urgency=medium

  [ Paul Wise ]
  * Fix the plib build-dep to libplib-dev

  [ Gonéri Le Bouder ]
  * Add plib-dev as an alternative to libplib-dev
  * Merge makefile_cflags.patch and makefile_libode.patch in
    makefile.patch
  * change makefile so it calls ode-config to get the correct
    gcc parameter for ODE (-I/usr/include -DdDOUBLE)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 29 Mar 2009 23:13:30 +0200

stormbaancoureur (2.1.5-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * build depends on libode-dev 2:0.10.1-1

  [ Barry deFreese ]
  * Update my e-mail address.
  * Minor syntax fixes in debian/copyright.
  * Remove versioned build-dep on plib1.8.4-dev. (Closes: #516924).
  * Fix typo in package description. (Closes: #478181).
  * gcc44.patch - Build with gcc-4.4. (Closes: #505694).
    + Thanks to Martin Michlmayr for the fix!
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 18 Mar 2009 20:27:28 -0400

stormbaancoureur (2.1.5-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Ansgar Burchardt ]
  * Fix typo in debian/copyright

  [ Vincent Fourmond ]
  * Tighten up build-deps to make sure we don't use broken plib (which
    certainly closes: #486866)
  * Make lintian a little happier about long lines in copyright
  * Add a README.source file, which makes it comply to standards 3.8.0
  * urgency=high because it fixes a RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 20 Jul 2008 19:38:55 +0200

stormbaancoureur (2.1.5-2) unstable; urgency=low

  * Moved back to main

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 12 Jun 2008 14:38:28 +0000

stormbaancoureur (2.1.5-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * The program and all the data is now licensed under GPLv3 only.
    See src-stormbaancoureur/LICENCE
  * Replaced libode-nonfree0-dev by libode0-dev in Build-Depends

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 11 Jun 2008 11:29:09 +0000

stormbaancoureur (2.1.3-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * build-depends on libode-nonfree0 to avoid the various bugs of
    libode built with GIMPACT (Closes: #440484, #465464)
  * move stormbaancoureur in contrib

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 22 Apr 2008 22:25:17 +0200

stormbaancoureur (2.1.3-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Don't change selected menu option. (Closes: #465734).

