=== debian/control ===
Source: stormbaancoureur
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 libasound2-dev,
 libode-dev,
 libplib-dev,
Standards-Version: 4.7.3
Homepage: https://www.stolk.org/stormbaancoureur/
Vcs-Git: https://salsa.debian.org/games-team/stormbaancoureur.git
Vcs-Browser: https://salsa.debian.org/games-team/stormbaancoureur

Package: stormbaancoureur
Architecture: any
Depends:
 stormbaancoureur-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: simulated obstacle course for automobiles
 Your objective is to drive your car along an obstacle course. Success depends
 on total control of the car. If you want to master it, try to have the laws
 of physics work with you, not against you.
 .
 The game was formerly known as Sturmbahnfahrer.

Package: stormbaancoureur-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 stormbaancoureur
Description: game data for Stormbaan Coureur
 Models, images, sounds and other data for Stormbaan Coureur.
