=== debian/watch ===
Version: 5

Source: http://www.stolk.org/stormbaancoureur/download/
Matching-Pattern: stormbaancoureur-([\d.]+).tar.gz
